Page MenuHomePhabricator

Show duplicate error message
Closed, DeclinedPublic

Description

If you try to upload an image (e.g. via Special:Uploads) which is an duplicate of another, the user becomes an success message and the image is added to Special:Uploads. A click to this only reloads the page and the image isn't uploaded (the same filename as the duplicate was set). I suggest to don't show an success toast and don't add the image to Special:Uploads (without a link to the duplicate one), better is to redirect to the location of the duplicate one. Maybe with an alert before, that the image is an duplicate and the user will be redirected to the duplicate.


Version: unspecified
Severity: normal

Details

Reference
bz68296

Event Timeline

bzimport raised the priority of this task from to Needs Triage.Nov 22 2014, 3:33 AM
bzimport set Reference to bz68296.
bzimport added a subscriber: Unknown Object (MLST).
Florian created this task.Jul 20 2014, 1:46 PM

bingle-admin wrote:

Prioritization and scheduling of this bug is tracked on Trello card https://trello.com/c/bPHX1l53

I did this purposely. I thought it was more gratifying to feel like your image had been accepted then try to explain it already exists but I guess it is confusing as refreshing the page shows it is no longer there.

I guess errors are the way to go but low priority now this is not enabled on Wikimedia.

Jdlrobson set Security to None.
Jdlrobson moved this task from Incoming to Epics/Goals on the Readers-Web-Backlog board.

Upload feature has been removed from MobileFrontend.

Jdlrobson closed this task as Declined.Jun 4 2015, 10:29 PM
Jdlrobson claimed this task.